/**
 * @(#) EmptyDescriptionException.java - ATAM
 * 
 * Copyright 2012 - AT2O
 * 
 * Licence : http://www.at2o.fr/atam/licence.txt
 * Auteur  : JeetConsulting
 * Créé le : 08/06/12
 * Contact : http://www.at2o.fr
 * 
 */
package com.at2o.atam.service.exception;

import java.util.ArrayList;
import java.util.List;

/**
 * Exception remontée lors de l'étape de préparation du versement si une description n'a pas été saisie. 
 * 
 * @author JF LARTAUD
 *
 */
public class EmptyDescriptionException  extends FunctionalException {
	
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -996237864224636677L;
	
	private List<String> items;
	
	/**
	 * 
	 */
	public EmptyDescriptionException() {
		super(FunctionalExceptionCodes.EMPTY_DESCRIPTION_EXCEPTION);
		items = new ArrayList<String>();
	}

	public List<String> getItems() {
		return items;
	}

	public void setItems(List<String> items) {
		this.items = items;
	}
}