/**
 * @(#) EmptyUOFilesException.java - ATAM
 * 
 * Copyright 2012 - AT2O
 * 
 * Licence : http://www.at2o.fr/atam/licence.txt
 * Auteur  : JeetConsulting
 * Créé le : 08/06/12
 * Contact : http://www.at2o.fr
 * 
 */
package com.at2o.atam.service.exception;

import java.util.ArrayList;
import java.util.List;

/**
 * Exception remontée lors de l'étape de préparation du versement si un item numérique n'a pas de fichiers. 
 * 
 * @author JF LARTAUD
 *
 */
public class EmptyUOFilesException extends FunctionalException {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -8355784491676235241L;
	private List<String> items;
	
	/**
	 * 
	 */
	public EmptyUOFilesException() {
		super(FunctionalExceptionCodes.EMPTY_UOFILES_EXCEPTION);
		items = new ArrayList<String>();
	}

	public List<String> getItems() {
		return items;
	}

	public void setItems(List<String> items) {
		this.items = items;
	}
}
