/**
 * @(#) ObservationNotFoundException.java - ATAM
 * 
 * Copyright 2012 - AT2O
 * 
 * Licence : http://www.at2o.fr/atam/licence.txt
 * Auteur  : JeetConsulting
 * Créé le : 08/06/12
 * Contact : http://www.at2o.fr
 * 
 */
package com.at2o.atam.service.exception;

import java.util.ArrayList;
import java.util.List;

/**
 * Exception thrown when terminating a stocktaking and if an element has no observation
 * 
 * @author JF LARTAUD
 */
public class ObservationNotFoundException extends FunctionalException {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 8925876050767623614L;
	
	/**
	 * Elements with not observation
	 */
	private List<String> elements;
	
	/**
	 * 
	 */
	public ObservationNotFoundException() {
		super();
		elements = new ArrayList<String>();
	}
	
	/**
	 * @return the elements
	 */
	public List<String> getElements() {
		return elements;
	}
	
	/**
	 * @param elements the elements to set
	 */
	public void setElements(List<String> elements) {
		this.elements = elements;
	}
}
