/**
 * @(#) OutOfObsolescenceException.java - ATAM
 * 
 * Copyright 2012 - AT2O
 * 
 * Licence : http://www.at2o.fr/atam/licence.txt
 * Auteur  : JeetConsulting
 * Créé le : 08/06/12
 * Contact : http://www.at2o.fr
 * 
 */
package com.at2o.atam.service.exception;

import java.util.ArrayList;
import java.util.List;

/**
 * Exception thrown before submitting a deposit request. If it contains files that are not managed
 * 
 * @author JF LARTAUD
 */
public class OutOfObsolescenceException extends FunctionalException {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 9072360617486280203L;
	
	private List<String> files;
	
	/**
	 * 
	 */
	public OutOfObsolescenceException() {
		super(FunctionalExceptionCodes.OUT_OF_OBSOLESCENCE_EXCEPTION);
		files = new ArrayList<String>();
	}
	
	/**
	 * @return the files
	 */
	public List<String> getFiles() {
		return files;
	}
	
	/**
	 * @param files the files to set
	 */
	public void setFiles(List<String> files) {
		this.files = files;
	}
	
}
