/**
 * @(#) ConstraintException.java - ATAM
 * 
 * Copyright 2012 - AT2O
 * 
 * Licence : http://www.at2o.fr/atam/licence.txt
 * Auteur  : JeetConsulting
 * Créé le : 08/06/12
 * Contact : http://www.at2o.fr
 * 
 */
package com.at2o.atam.service.integration.exception;

import com.at2o.atam.service.exception.FunctionalException;

/**
 * Exception levée lorsqu'une règle métier n'est pas respecté au niveau des associations.
 * 
 * @author JF LARTAUD
 */
public class ConstraintException extends FunctionalException {
	
	private static final long serialVersionUID = -8018295709648856574L;
	
	private String fieldName;
	
	private String parentObjName;
	
	/**
	 * 
	 */
	public ConstraintException() {
		super();
	}
	
	/**
	 * @param fieldName
	 * @param parentObjName
	 */
	public ConstraintException(String message, String fieldName, String parentObjName) {
		super(message, null);
		this.fieldName = fieldName;
		this.parentObjName = parentObjName;
	}
	
	public String getFieldName() {
		return fieldName;
	}
	
	public void setFieldName(String fieldName) {
		this.fieldName = fieldName;
	}
	
	public String getParentObjName() {
		return parentObjName;
	}
	
	public void setParentObjName(String parentObjName) {
		this.parentObjName = parentObjName;
	}
	
}
